=== templates/scriptabletags/CMakeLists.txt ===
project(grantlee_scriptabletags)

grantlee_add_plugin(grantlee_scriptabletags
  scriptablecontext
  scriptablefilterexpression
  scriptablenode
  scriptableparser
  scriptablesafestring
  scriptabletags
  scriptabletemplate
  scriptablevariable

  FILTERS
    scriptablefilter
)

target_link_libraries(grantlee_scriptabletags
  Qt4::QtScript
)

install(TARGETS grantlee_scriptabletags
         LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}
)
