=== debian/changelog ===
grantlee (0.4.0-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Avoid calling xvfb-run on cross builds when DEB_BUILD_OPTIONS=nocheck is
    set (Closes: 839394)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 24 Oct 2016 11:30:00 +0200

grantlee (0.4.0-3) unstable; urgency=medium

  * Update symbols files. (Closes: #777889)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Aug 2015 16:58:43 +0200

grantlee (0.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 21 Jul 2014 09:53:27 +0200

grantlee (0.4.0-1) experimental; urgency=low

  * New upstream release:
    - the provided jQuery (for an example) has been updated and it is provided
      in uncompressed form (Closes: #710215)
  * Bump the cmake build dependency to 2.8.9.
  * Update the patches:
    - variantIsTrue-float-fix.diff: remove applied parts
    - testinternationalization-qreal.diff: remove, applied upstream
  * Update .install files.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Convert copyright to copyright-format v1.0, and update it.
  * Bump default priority of all packages (except grantlee-dbg) to optional.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2013 11:19:44 +0100
