=== debian/control ===
Source: grantlee
Section: libs
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Bjoern Ricks <bjoern.ricks@intevation.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.5), cmake (>= 2.8.9),
 pkg-kde-tools,
 xvfb, xauth
Standards-Version: 3.9.5
Homepage: http://www.grantlee.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/grantlee.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/grantlee.git

Package: libgrantlee-gui0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Grantlee templating library for Qt - GUI
 Grantlee is a string template engine based on the Django template system
 and written in Qt.
 .
 This package contains the GUI part of Grantlee.

Package: libgrantlee-core0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Grantlee templating library for Qt - Core
 Grantlee is a string template engine based on the Django template system
 and written in Qt.
 .
 This package contains the core Grantlee library. It also includes the
 standard tag and filter plugins.

Package: libgrantlee-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgrantlee-core0 (= ${binary:Version}),
 libgrantlee-gui0 (= ${binary:Version}), libqt4-dev
Description: Grantlee templating library development files
 Grantlee is a string template engine based on the Django template system
 and written in Qt.
 .
 This package contains the development files for building applications
 using grantlee.

Package: grantlee-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libgrantlee-core0 (= ${binary:Version}) | libgrantlee-gui0 (= ${binary:Version})
Suggests: libqt4-dbg
Description: Grantlee templating library (debugging symbols)
 Grantlee is a string template engine based on the Django template system
 and written in Qt.
 .
 This package contains the debugging symbols used to investigate issues in
 Grantlee.
