## grantlee 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
+
+cmake_minimum_required(VERSION 2.8.11)
 
 project(Grantlee)
-
-cmake_minimum_required(VERSION 2.8.9)
 
 # Workaround for http://public.kitware.com/Bug/view.php?id=12301
 if (MINGW)
@@ -20,6 +20,7 @@
 option( BUILD_I18N_PLUGIN "Build the Grantlee Templates i18n plugin" TRUE )
 option( BUILD_SCRIPT_PLUGIN "Build the Grantlee Templates scriptable tags plugin" TRUE )
 option( BUILD_TESTS "Build the Grantlee tests" TRUE )
+option( Grantlee_Qt5_TRANSITIONAL "Build Grantlee with Qt5" FALSE)
 
 if (BUILD_TESTS)
   enable_testing()
@@ -29,6 +30,8 @@
 set(CMAKE_MODULE_PATH ${Grantlee_MODULE_DIR})
 
 include(GenerateExportHeader)
+set(CMAKE_CXX_VISIBILITY_PRESET hidden)
+set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
 
 # create coverage build type
 set(CMAKE_CONFIGURATION_TYPES ${CMAKE_CONFIGURATION_TYPES} Coverage )
@@ -39,9 +42,7 @@
 
 set(CMAKE_CXX_FLAGS_COVERAGE "${CMAKE_CXX_FLAGS_RELEASE} -fprofile-arcs -ftest-coverage")
 set(CMAKE_C_FLAGS_COVERAGE "${CMAKE_C_FLAGS_RELEASE} -fprofile-arcs -ftest-coverage")
-set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} -fprofile-arcs -ftest-coverage")
 set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} -fprofile-arcs -ftest-coverage")
-set(CMAKE_STATIC_LINKER_FLAGS_COVERAGE "${CMAKE_STATIC_LINKER_FLAGS_RELEASE} -fprofile-arcs -ftest-coverage")
 
 set(TESTCOCOON_ARGS "--cs-on --cs-count --cs-include-file-abs-regex=${CMAKE_SOURCE_DIR}/.* --cs-include-file-regex=qrc_* --cs-qt4 --cs-exclude-file-abs-regex=${CMAKE_BINARY_DIR}/.*")
 set(CMAKE_CXX_FLAGS_TESTCOCOON "${CMAKE_CXX_FLAGS_RELEASE} ${TESTCOCOON_ARGS}")
@@ -64,10 +65,6 @@
   if (NOT APPLE)
     set ( CMAKE_SHARED_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined ${CMAKE_SHARED_LINKER_FLAGS}")
     set ( CMAKE_MODULE_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined ${CMAKE_MODULE_LINKER_FLAGS}")
-  endif ()
-
-  if (NOT MINGW)
-    add_compiler_export_flags()
   endif ()
 endif()
 
@@ -83,11 +80,12 @@
 # Always include the source and build directories in the include path
 # to save doing so manually in every subdirectory.
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
+set(CMAKE_INCLUDE_CURRENT_DIR_IN_INTERFACE ON)
 set(CMAKE_AUTOMOC ON)
 
 set(Grantlee_VERSION_MAJOR 0)
-set(Grantlee_VERSION_MINOR 4)
-set(Grantlee_VERSION_PATCH 0)
+set(Grantlee_VERSION_MINOR 5)
+set(Grantlee_VERSION_PATCH 1)
 set(Grantlee_MIN_PLUGIN_VERSION 1)
 
 set(Grantlee_MAJOR_MINOR_VERSION_STRING "${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR}" )
@@ -170,7 +168,7 @@
   set(QTTAGFILE "${CMAKE_SOURCE_DIR}/scripts/qttags.tag=http://qt.nokia.com/doc/${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}")
 
   set(TAGFILES "${QTTAGFILE} ${STLTAGFILE}")
-  set(DOCS_OUTPUT_DIRECTORY "@CMAKE_BINARY_DIR@")
+  set(DOCS_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}")
   configure_file(
     "${Grantlee_MODULE_DIR}/Doxyfile.in"
     "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
@@ -180,7 +178,7 @@
   # qttags.tag is too big to distribute with Grantlee. Get it
   # from http://api.kde.org/kdereview-api/kdereview.tar.gz for example.
   if(EXISTS ${CMAKE_SOURCE_DIR}/scripts/qttags.tag)
-    set(DOCS_OUTPUT_DIRECTORY "@CMAKE_BINARY_DIR@/qtdocs")
+    set(DOCS_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/qtdocs")
 
     # Available from http://steveire.com/libstdc++-longnames.tag
     # Also recommended: http://www.steveire.com/libstdc++-v3.qch
@@ -228,12 +226,28 @@
 
   # For an unknown reason lcov does not work with absolute paths such as ${CMAKE_BINARY_DIR}
   file(RELATIVE_PATH relBinaryDir / ${CMAKE_BINARY_DIR})
-  file(RELATIVE_PATH relQtDir / ${QT_HEADERS_DIR})
+  if (NOT Grantlee_Qt5_TRANSITIONAL)
+    file(RELATIVE_PATH relQtDir / ${QT_HEADERS_DIR})
+    set(Qt4_exclude -r test_all.info *${relQtDir}*)
+  else()
+    find_package(Qt5Core REQUIRED)
+    get_property(qmake_loc TARGET Qt5::qmake PROPERTY LOCATION)
+    execute_process(COMMAND "${qmake_loc}" -query QT_INSTALL_HEADERS
+      RESULT_VARIABLE return_code
+      OUTPUT_VARIABLE output
+      OUTPUT_STRIP_TRAILING_WHITESPACE ERROR_STRIP_TRAILING_WHITESPACE)
+    if(return_code)
+      message(FATAL_ERROR "Problem")
+    endif()
+    file(TO_CMAKE_PATH "${output}" output)
+    file(RELATIVE_PATH relQtDir / ${output})
+    set(Qt4_exclude -r test_all.info *${relQtDir}*)
+  endif()
 
   list(APPEND coverage_ARGS COMMAND ${LCOV_EXECUTABLE} -r test_all.info *${relBinaryDir}*
                                                                 -r test_all.info *pluginpointer*
                                                                 -r test_all.info *usr/include*
-                                                                -r test_all.info *${relQtDir}*
+                                                                ${Qt4_exclude}
                                                                 -o test_all.info
   )
 
@@ -289,22 +303,3 @@
   foreach(_plugin ${_plugins})
     list(APPEND testcocoon_ARGS
       COMMAND ${TESTCOCOON_CMMERGE_EXECUTABLE} -o "${coverageDir}/${_plugin}.so.csmes"
-      -i "${coverageDir}/grantlee/0.2/${_plugin}.so.csmes" "${coverageDir}/unittests.csmes"
-    )
-  endforeach()
-
-  find_program(TESTCOCOON_CMREPORT_EXECUTABLE cmreport)
-  set(_csmes_files ${_plugins} "libgrantlee_gui" "libgrantlee_core")
-  foreach(_csmes_file ${_csmes_files})
-    list(APPEND testcocoon_ARGS
-      COMMAND echo -n \"${_csmes_file}\" COMMAND ${TESTCOCOON_CMREPORT_EXECUTABLE} -s '.*' -m "${_csmes_file}.so.csmes"
-    )
-  endforeach()
-
-  add_custom_target(testcocoon
-    ${testcocoon_ARGS}
-  )
-endif()
-
-find_package(Cccc)
-if (CCCC_FOUND)
