=== templates/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 
-find_package(Qt4 4.5.0 REQUIRED QtCore QtScript)
+if (Grantlee_Qt5_TRANSITIONAL)
+  find_package(Qt5Script 5.2.0 REQUIRED)
+else()
+  find_package(Qt4 4.5.0 REQUIRED QtScript)
+endif()
 
 include(${Grantlee_USE_FILE})
 
 add_subdirectory(lib)
-
-include_directories(
-  ${CMAKE_CURRENT_BINARY_DIR}/lib
-  ${CMAKE_CURRENT_SOURCE_DIR}/lib
-)
 
 if (BUILD_MAIN_PLUGINS)
   add_subdirectory(loadertags)
