=== examples/contacts/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,11 @@
 project(contacts_grantlee)
 
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 2.8.11)
 
 find_package(Grantlee REQUIRED)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
-
-add_definitions(${QT_DEFINITIONS})
-
-include_directories(
-  ${QT_INCLUDES}
-  ${Grantlee_INCLUDE_DIRS}
-)
 
 configure_file(grantlee_paths.h.cmake ${PROJECT_BINARY_DIR}/grantlee_paths.h)
 
@@ -28,10 +21,23 @@
 
 target_link_libraries(
   contacts_linguist
-  Qt4::QtGui
-  Qt4::QtWebKit
   ${Grantlee_TEMPLATES_LIBRARIES}
 )
+if (Grantlee_Qt5_TRANSITIONAL)
+  find_package(Qt5WebKitWidgets REQUIRED)
+  find_package(Qt5LinguistTools REQUIRED)
+  target_link_libraries(
+    contacts_linguist
+    Qt5::WebKitWidgets
+    )
+  set(QT_LRELEASE_EXECUTABLE Qt5::lrelease)
+  set(QT_LUPDATE_EXECUTABLE Qt5::lupdate)
+else()
+  target_link_libraries(
+    contacts_linguist
+    Qt4::QtWebKit
+  )
+endif()
 
 execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${PROJECT_SOURCE_DIR}/../../scripts" "${PROJECT_SOURCE_DIR}/scripts")
 
@@ -50,6 +56,7 @@
 
 add_custom_target(linguist_ts
   ${LINGUIST_TS_ARGS}
+    VERBATIM
 )
 
 set( LINGUIST_QM_ARGS COMMAND "${QT_LRELEASE_EXECUTABLE}" )
