=== templates/defaulttags/CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,6 @@
     with
 )
 
-install(TARGETS grantlee_defaulttags
+install(TARGETS grantlee_defaulttags EXPORT grantlee_targets
         LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR} COMPONENT Templates
 )
-
-
