=== debian/changelog ===
grantlee (0.5.1-0ubuntu3) xenial; urgency=medium

  * Update symbols file to match Debian for s390x.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Nov 2015 01:42:48 -0700

grantlee (0.5.1-0ubuntu2) vivid; urgency=medium

  * Update symbols file for GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2015 13:52:06 +0100

grantlee (0.5.1-0ubuntu1) vivid; urgency=medium

  * New upstream release 

 -- Sergey Popov <sergobot256@gmail.com>  Fri, 05 Dec 2014 20:04:36 +0300
