=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: grantlee
 Section: libs
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Bjoern Ricks <bjoern.ricks@intevation.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
@@ -9,7 +10,7 @@
 Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.5), cmake (>= 2.8.9),
  pkg-kde-tools,
  xvfb, xauth
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.grantlee.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/grantlee.git;a=summary
 Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/grantlee.git
